function verifyCompatibleBrowser(){ 
this.ver=navigator.appVersion 
this.dom=document.getElementById?1:0 
this.ie5=(this.ver.indexOf("MSIE 5")>-1 && this.dom)?1:0; 
this.ie4=(document.all && !this.dom)?1:0; 
this.ns5=(this.dom && parseInt(this.ver) >= 5) ?1:0; 

this.ns4=(document.layers && !this.dom)?1:0; 
this.bw=(this.ie5 || this.ie4 || this.ns4 || this.ns5) 
return this 
} 
bw=new verifyCompatibleBrowser() 
var speed=50 
var loop, timer 
function ConstructObject(obj,nest){ 
nest=(!nest) ? '':'document.'+nest+'.' 
this.el=bw.dom?document.getElementById(obj):bw.ie4?document.all[obj]:bw.ns4?eval(nest+'document.'+obj):0; 
this.css=bw.dom?document.getElementById(obj).style:bw.ie4?document.all[obj].style:bw.ns4?eval(nest+'document.'+obj):0; 
this.scrollHeight=bw.ns4?this.css.document.height:this.el.offsetHeight 
this.clipHeight=bw.ns4?this.css.clip.height:this.el.offsetHeight 
this.up=MoveAreaUp;this.down=MoveAreaDown; 
this.MoveArea=MoveArea; this.x; this.y; 
this.obj = obj + "Object" 
eval(this.obj + "=this") 
return this 
} 
function MoveArea(x,y){ 
    this.x=x;this.y=y 
    this.css.left=this.x 
    this.css.top=this.y 
} 
 
function MoveAreaDown(move){ 
	if(this.y>-this.scrollHeight+objContainer.clipHeight){ 
		this.MoveArea(0,this.y-move) 
		if (this.y<-this.scrollHeight+objContainer.clipHeight) this.MoveArea(0,-this.scrollHeight+objContainer.clipHeight) 
		if(loop) setTimeout(this.obj+".down("+move+")",speed) 
	}  
} 
function MoveAreaUp(move){ 
	if(this.y<0){ 
    this.MoveArea(0,this.y-move) 
    if(this.y>0) this.MoveArea(0,0) 
    if(loop) setTimeout(this.obj+".up("+move+")",speed) 
}
}

function me() {objScroller.MoveArea(0,-objScroller.scrollHeight+objContainer.clipHeight)}

function ms() {objScroller.MoveArea(0,0)}
 
function PerformScroll(speed){ 
	if(initialised){ 
		loop=true; 
		if(speed>0) objScroller.down(speed) 
		else objScroller.up(speed) 
	} 
}
function PerformPage(speed){ 
if(initialised){ 
	CeaseScroll()
		if(speed>0) objScroller.down(speed) 
		else objScroller.up(speed) 
	} 
} 


function CeaseScroll(){ 
    loop=false 
    if(timer) clearTimeout(timer) 
} 
var initialised; 
function InitialiseScrollableArea(){ 
    objContainer=new ConstructObject('divContainer') 
    objScroller=new ConstructObject('divContent','divContainer') 
    objScroller.MoveArea(0,0) 
    objContainer.css.visibility='visible' 
    initialised=true; 
} 
// end absolutely positioned scrollable area object scripts

function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_findObj(n, d) { //v4.0
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && document.getElementById) x=document.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}

var doc_width = 140, doc_height = 220;
/*
var ns4up = (document.layers) ? 1 : 0;
var ie4up = (document.all) ? 1 : 0;
if (ns4up) {
  doc_height=self.innerHeight;}
else if (ie4up) {
  doc_height=document.body.clientHeight;}
*/ 
var pgspeed=doc_height*0.75

function wh(){
document.write("<div id='divUpControl' style='left: "+(doc_width-18)+";top: 0;z-index: 1;width: 11; background-color:229944'> <a href='javascript:;' ondblclick='ms()' title='双击页首' onclick='PerformPage(-"+pgspeed+")' onMouseOver=\"PerformScroll(-10);MM_swapImage('up','','data/upb.gif',1)\" onMouseOut='CeaseScroll();MM_swapImgRestore()'><img name='up' border='0' src='data/up.gif' width='16' height='15'></a></div>"+
"<div id='divDownControl' style='left: "+(doc_width-18)+"; top: "+(doc_height-18)+"; z-index: 1; width: 11;background-color:229944'> <a href='javascript:;'  ondblclick='me()' title='双击页尾' onclick='PerformPage("+pgspeed+")' onMouseOver=\"PerformScroll(10);MM_swapImage('down','','data/downb.gif',1)\" onMouseOut='CeaseScroll();MM_swapImgRestore()' ><img name='down' border='0' src='data/down.gif' width='16' height='15'></a>"+
"</div><div id='divContainer' style='top: 5px; width: "+(doc_width-5)+"px; height: "+(doc_height-10)+"px; left: 5px;visibility: visible'> "+
"<div id='divContent' style='left: 0px; top: 5px'> ")}
wh();